Returns the main query

- « SolrQuery::getMltQueryFields

- SolrQuery::getRows »

- PHP Manual
- SolrQuery
- Returns the main query

# SolrQuery::getQuery

(PECL solr >= 0.9.2)

SolrQuery::getQuery — Returns the main query

### Description

public SolrQuery::getQuery(): string

Returns the main search query

### Parameters

This function has no parameters.

### Return Values

Returns a string on success and `null` if not set.